.menu p {padding: 3px 20px; margin-bottom: 5px;}

ul.menu, ul.menu ul {
  width: 350px;
  float: right;	
  list-style-type:none;
  margin: 0;
  padding: 0;
  background: #e1e1e1;
  color: #666;
}

ul.menu a {
  display: block;
  text-decoration: none;	
}

ul.menu li {
  margin-top: 1px;
}

ul.menu li a {
  background: #999;
  color: #fff;	
  padding: 20px;
}

ul.menu li a:hover {
  background: #555;
}